## Index

### Classes

- PanelsModel

### Type aliases

- OpenPanelOptions

### Variables

- default

## Type aliases

### OpenPanelOptions

OpenPanelOptions: { autoClose?: boolean; noError?: boolean; state?: boolean }

- Defined in srcapi/store/panels.ts:27

A projection definitions.

#### Type declaration

- ##### Optional autoClose?: boolean

  Automatically close the panel on tool panel change, for footer panel.

- ##### Optional noError?: boolean

  Don't throw an error on closing an unopened panel.

- ##### Optional state?: boolean

  True to open the panel, false to close, undefined to toggle.

## Variables

### default

default: PanelsModel = ...

- Defined in srcapi/store/panels.ts:198

Generated using TypeDoc